Subject: Re: [RFC PATCH] dt-bindings: net: ethernet-controller: Add ptimer_handle

From: Rob Herring <[email-masked]>
Date: Fri, 30 Sep 2022 14:22:00 -0500

On Thu, Sep 29, 2022 at 06:12:49AM -0600, Sarath Babu Naidu Gaddam wrote:
> There is currently no standard property to pass PTP device index
> information to ethernet driver when they are independent.
> 
> ptimer_handle property will contain phandle to PTP timer node.

ptimer_handle or ptimer-handle? One matches conventions.

However, 'handle' is redundant and 'ptimer' is vague. 'ptp-timer' 
instead? (Humm, looking at fsl-fman.txt after writing everything here, 
it's already using that name! So why are you making something new?)

However, for anything common, I'd like to see multiple examples and 
users. Do we have any custom bindings for this purpose already (besides 
FSL)? 

Could an ethernet device ever need more than 1 timer? Could a provider 
provide multiple timers? IOW, does this need to follow standard 
provider/consumer pattern of 'foos' and '#foo-cells'?

> Freescale driver currently has this implementation but it will be
> good to agree on a generic (optional) property name to link to PTP
> phandle to Ethernet node. In future or any current ethernet driver
> wants to use this method of reading the PHC index,they can simply use

What's PHC index?

> this generic name and point their own PTP timer node, instead of
> creating seperate property names in each ethernet driver DT node.
> 
> axiethernet driver uses this method when PTP support is integrated.
> 
> Example:
> 	fman0: fman@1a00000 {
> 		ptimer-handle = <&ptp_timer0>;
> 	}
> 
> 	ptp_timer0: ptp-timer@1afe000 {
> 		compatible = "fsl,fman-ptp-timer";
> 		reg = <0x0 0x1afe000 0x0 0x1000>;
> 	}
> 
> Signed-off-by: Sarath Babu Naidu Gaddam <[email-masked]>
> ---
> We want binding to be reviewed/accepted and then make changes in freescale
> binding documentation to use this generic binding.

You can't just change the binding you are using. That's an ABI break.

Rob